## galapi
Class Text

    java.lang.Object
      galapi.Item
          galapi.Node
              galapi.Text

public class Text
extends Node

A `Text` node in the XQuery data model

See Also:
  `Node`

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`Text(xsString s)`

Method Summary
`protected static int` `textToItem(int i)`

Methods inherited from class galapi.Node
`attributes, baseURI, children, nativeAttributes, nativeBaseURI, nativeChildren, nativeNodeKind, nativeNodeName, nativeParent, nativeTypedValue, nodeKind, nodeName, parent, typedValue`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Text

    public Text(xsString s)
         throws GalapiException

Method Detail

### textToItem

    protected static int textToItem(int i)